package com.neusoft.smart.pos.mq;

import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;
import com.neusoft.smart.pos.mq.helper.MemberMQReceiverHelper;

@Profile(MQConfig.Impl.RABBIT_MQ)
@Component
public class MemberRabbitMQReceiver {
	
	@Autowired
	MemberMQReceiverHelper memberMQReceiverHelper;
	
	
	@RabbitListener(queues = "order.complete.queue2.name")
    public void processOrderCompleteMessage(byte[] content) {
		memberMQReceiverHelper.processOrderCompleteMessage(content);
    }

}
